Package Details: vim-pep8 1.1-1

Git Clone URL: https://aur.archlinux.org/vim-pep8.git (read-only)
Package Base: vim-pep8
Description: A PEP 8 Python source file checker for Vim
Upstream URL: http://www.vim.org/scripts/script.php?script_id=2914
Licenses: unknown
Groups: vim-plugins
Submitter: a1russell
Maintainer: sleduc
Last Packager: sleduc
Votes: 15
Popularity: 0.000021
First Submitted: 2010-02-17 02:59
Last Updated: 2016-07-13 07:18

Latest Comments

sleduc commented on 2016-07-13 07:29

Indeed it does the trick :)
I also updated the package to version 1.1 and switched to github for the source (www.vim.org does not seems to work...).
With this version of the pep8 plugin there is a 'pep8_cmd' variable that I patched to use pycodestyle. This variable can also be overriden in .vimrc if required.

Note: this package is supposed to be deprecated in favor or vim-flake8 (which is not yet packaged in AUR)

Freso commented on 2016-07-12 10:00

You may want to replace calls to the `pep8` binary with calls to `pycodestyle` too. If you're not the upstream maintainer, maybe a `sed` command in the prepare() function will do the trick.

sleduc commented on 2016-07-11 08:05

Fixed, thanks for the comment.

Freso commented on 2016-07-06 23:42

`pep8` has been removed from ArchLinux' official repositories and been replaced by `python-pycodestyle`.

sleduc commented on 2014-09-19 17:29

Maybe when it was submitted the pep8 tool did not work under python3.
But since it does now I updated the package to use "pep8" instead of "pep8-python2" (and get rid of a patch).

I guess the name is now correct :)

hobarrera commented on 2014-09-17 19:53

Why does this package use a non-default python? python2-related packages should be named to indicate that, according to packaging guidelines.

untitaker commented on 2012-09-09 14:14

Disowning, i am using vundle now.

Anonymous comment on 2010-11-03 02:50

New PKGBUILD
http://pastie.org/1268501

Anonymous comment on 2010-10-31 19:42

Please, change from:
install -D -m644 pep8.vim ${_installpath}/plugin/pep8.vim || return 1
to:
install -D -m644 pep8.vim ${_installpath}/ftplugin/python/pep8.vim || return 1

If you did it, the pep8 only will be loaded on python files.
Thanks